| Name | Type | Required | Description |
|---|---|---|---|
items | array | required | List of eSIM packages to order. Must contain at least one item. |
items[].packageId | string | required | The ID of the eSIM package to order. Retrieve valid IDs from the Get eSIM Packages endpoint. |
items[].quantity | number | required | Number of eSIMs to order for this package. |
referenceId | string | optional | Your own reference ID for the order, useful for reconciliation with your internal systems. |
curl --location 'https://api-dev.getroamify.com/api/esim/order' \
--header 'Authorization: Bearer roamify_2cHSSn33KR1aCJhLMzgQrLK1FJaVgGNp7Waa9ZqF6pNFbKPwfhY2Z5gpesLic6Z5WnPp5YpZges7T6bSeKmQCcKYREH4BVrr9xwxMrttEvR7JWzqxu6EA8wd5fU6xCqGMfqG7cbKLkPxMJkf5dgWgJu3RHnmaUc3jKnqebZVAVs8T2LQvMQk2A9Jd' \
--header 'Content-Type: application/json' \
--data '{
"items": [
{
"packageId": "esim-cambodia-7days-1gb-all",
"quantity": 1
}
],
// "referenceId": "partner reference id(optional)"
}'application/json; charset=utf-8 content type is not supported in the response body